classification
Title: dbm/gdbm/ndbm close methods are not document
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.4, Python 3.5, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: berker.peksag, docs@python, jcea, python-dev, r.david.murray
Priority: normal Keywords: easy, patch

Created on 2014-03-08 16:57 by r.david.murray, last changed 2014-06-25 11:08 by jcea. This issue is now closed.

Files
File name Uploaded Description Edit
issue20872.diff berker.peksag, 2014-05-12 15:34 review
Messages (3)
msg212935 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2014-03-08 16:57
We just added context manager support to dbm to close the object automatically, but the 'close' method that gets called is not documented for any of the dbm objects.  Since it is part of the public API (it is shown in the example), I think it should be.
msg221541 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2014-06-25 11:06
New changeset de44bc26a00a by Jesus Cea in branch '2.7':
Closes #20872: dbm/gdbm/ndbm close methods are not documented
http://hg.python.org/cpython/rev/de44bc26a00a

New changeset cf156cfb12e7 by Jesus Cea in branch '3.3':
Closes #20872: dbm/gdbm/ndbm close methods are not documented
http://hg.python.org/cpython/rev/cf156cfb12e7

New changeset 88fb216b99fb by Jesus Cea in branch '3.4':
MERGE: Closes #20872: dbm/gdbm/ndbm close methods are not documented
http://hg.python.org/cpython/rev/88fb216b99fb

New changeset 90dd9eec1230 by Jesus Cea in branch 'default':
MERGE: Closes #20872: dbm/gdbm/ndbm close methods are not documented
http://hg.python.org/cpython/rev/90dd9eec1230
msg221542 - (view) Author: Jesús Cea Avión (jcea) * (Python committer) Date: 2014-06-25 11:08
Thanks, David and Berker.
History
Date User Action Args
2014-06-25 11:08:07jceasetnosy: + jcea
messages: + msg221542
2014-06-25 11:06:51python-devsetstatus: open -> closed

nosy: + python-dev
messages: + msg221541

resolution: fixed
stage: patch review -> resolved
2014-05-12 15:34:47berker.peksagsetfiles: + issue20872.diff
versions: - Python 3.3
nosy: + berker.peksag

keywords: + patch
stage: needs patch -> patch review
2014-05-11 01:47:24ezio.melottisetnosy: + docs@python
assignee: docs@python
components: + Documentation
keywords: + easy
type: enhancement
stage: needs patch
2014-03-08 16:57:59r.david.murraycreate